Unicode::CharName(3)

NAME
Unicode::CharName - Look up Unicode character names

SYNOPSIS
 use Unicode::CharName qw(uname ublock);
 print uname(ord('%')), "\n";
 print ublock(0x0300), "\n";

DESCRIPTION
This module provide a two functions named uname() and ublock(). The uname() function will return the Unicode character name for the given code (a number between 0 and 0x10FFFF). Unicode character names are written in upper-case ASCII letters, and are strings like:

  LATIN CAPITAL LETTER A
  LATIN SMALL LETTER A WITH RING ABOVE
  CJK UNIFIED IDEOGRAPH 7C80
  HANGUL SYLLABLE PWILH

The ublock() will return the name of the Unicode character block that the given character belongs to.

SEE ALSO
Unicode::String

COPYRIGHT
Copyright 1997,2005 Gisle Aas.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Name table extracted from the Unicode 4.1 Character Database. Copyright (c) 1991-2005 Unicode, Inc. All Rights reserved.